import matplotlib.pyplot as plt
numargs = foldnorm.numargs
[ c ] = [0.9,] * numargs
rv = foldnorm(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = foldnorm.cdf(x, c)
h = plt.semilogy(np.abs(x - foldnorm.ppf(prb, c)) + 1e-20)

# Random number generation

R = foldnorm.rvs(c, size=100)
